---------------------
PatchSet 5529 
Date: 2002/12/01 09:33:30
Author: serassio
Branch: nt-2_5
Tag: (none) 
Log:
ip_user_check external ACL helper now builds on Windows

Members: 
	port/win32/Makefile.am:1.1.2.2->1.1.2.3 
	port/win32/squid.dsw:1.1.2.21->1.1.2.22 
	port/win32/update.cmd:1.1.2.16->1.1.2.17 

Index: squid/port/win32/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/Makefile.am,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/port/win32/Makefile.am	30 Nov 2002 13:59:08 -0000	1.1.2.2
+++ squid/port/win32/Makefile.am	1 Dec 2002 09:33:30 -0000	1.1.2.3
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.1.2.2 2002/11/30 13:59:08 serassio Exp $
+# $Id: Makefile.am,v 1.1.2.3 2002/12/01 09:33:30 serassio Exp $
 #
 
 EXTRA_DIST = \
@@ -28,6 +28,7 @@
 	include/getopt.h \
 	include/READDIR.h \
 	include/squid-mswin.h \
+	ip_user_check/ip_user_check.dsp \
 	LDAP_auth/LDAP_auth.dsp \
 	LDAP_group/LDAP_group.dsp \
 	libawin32/libawin32.dsp \
Index: squid/port/win32/squid.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/squid.dsw,v
retrieving revision 1.1.2.21
retrieving revision 1.1.2.22
diff -u -r1.1.2.21 -r1.1.2.22
--- squid/port/win32/squid.dsw	30 Nov 2002 14:02:20 -0000	1.1.2.21
+++ squid/port/win32/squid.dsw	1 Dec 2002 09:33:30 -0000	1.1.2.22
@@ -194,6 +194,24 @@
     Begin Project Dependency
     Project_Dep_Name LDAP_group
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name ip_user_check
+    End Project Dependency
+}}}
+
+###############################################################################
+
+Project: "ip_user_check"=".\ip_user_check\ip_user_check.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name libmiscutil
+    End Project Dependency
 }}}
 
 ###############################################################################
Index: squid/port/win32/update.cmd
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/update.cmd,v
retrieving revision 1.1.2.16
retrieving revision 1.1.2.17
diff -u -r1.1.2.16 -r1.1.2.17
--- squid/port/win32/update.cmd	30 Nov 2002 13:56:36 -0000	1.1.2.16
+++ squid/port/win32/update.cmd	1 Dec 2002 09:33:30 -0000	1.1.2.17
@@ -20,9 +20,10 @@
 copy %0\..\nt_auth\%1\nt_auth.exe %2\libexec\nt_auth.exe
 copy %0\..\ncsa_auth\%1\ncsa_auth.exe %2\libexec\ncsa_auth.exe
 copy %0\..\ntlm_win32_auth\%1\ntlm_win32_auth.exe %2\libexec\ntlm_win32_auth.exe
-copy %0\..\ldap_auth\%1\ldap_auth.exe %2\libexec\ldap_auth.exe
+copy %0\..\ldap_auth\%1\ldap_auth.exe %2\libexec\squid_ldap_auth.exe
 copy %0\..\ldap_group\%1\ldap_group.exe %2\libexec\squid_ldap_group.exe
 copy %0\..\win32_check_group\%1\win32_check_group.exe %2\libexec\win32_check_group.exe
+copy %0\..\ip_user_check\%1\ip_user_check.exe %2\libexec\ip_user_check.exe
 copy %0\..\cachemgr\%1\cachemgr.exe %2\libexec\cachemgr.cgi
 
 copy %0\..\..\..\src\squid.conf.default %2\etc\squid.conf.default
@@ -34,11 +35,15 @@
 
 copy %0\..\..\..\helpers\ntlm_auth\NTLMSSP-WIN32\readme.txt %2\docs\ntlm_win32_auth.txt
 copy %0\..\..\..\helpers\external_acl\win32_group\readme.txt %2\docs\win32_check_group.txt
+copy %0\..\..\..\helpers\external_acl\ip_user\README %2\docs\ip_user_check.txt
 copy %0\..\..\..\helpers\basic_auth\win32_locallogon\readme.txt %2\docs\nt_auth.txt
 copy %0\..\..\..\doc\win32-relnotes.html %2\docs\win32-relnotes.html
 copy %0\..\..\..\doc\debug-sections.txt %2\docs\debug-sections.txt
 copy %0\..\..\..\doc\HTTP-codes.txt %2\docs\HTTP-codes.txt
 copy %0\..\..\..\doc\release-notes\release-2.5.html %2\docs\release-2.5.html
+type %0\..\..\..\helpers\basic_auth\LDAP\squid_ldap_auth.8 | man2htm2 > %2\docs\squid_ldap_auth.html
+type %0\..\..\..\helpers\external_acl\LDAP_group\squid_ldap_group.8 | man2htm2 > %2\docs\squid_ldap_group.html
+type %0\..\..\..\doc\squid.8 | man2htm2 > %2\docs\squid.html
 
 copy %0\..\..\..\README %2\README
 copy %0\..\..\..\COPYRIGHT %2\COPYRIGHT
